import ViewMessageService from '../view-message-service';
/**
 * 可定制应用看板视图消息服务对象基类
 * 基于 APP/src/message/%APP_MSG%/%APP_MSG%-message-base.ts.ftl 生成
 * @export
 * @class ViewMsg70MessageServiceBase
 */
export default class ViewMsg70MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg70MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg70MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg70MessageServiceBase
     */
    public initBasicParam(){
        this.id = "b083441aa91cf2c0ac26b09b1563fd2f";
        this.name = "可定制应用看板";
        this.codename = "ViewMsg70";
        this.title = "";
        this.content = "本示例展示可定制应用看板。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg70MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}